org.apache.fop.area

## Interface AreaEventProducer

All Superinterfaces:
  EventProducer

    public interface AreaEventProducer
    extends EventProducer

Event producer interface for events related to the area tree.

### Nested Class Summary

Nested Classes
`static class` `AreaEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `pageLoadError(Object source, String page, Exception e)` A page could not be loaded/deserialized from a file.
`void` `pageRenderingError(Object source, String page, Exception e)` A page could not be rendered.
`void` `pageSaveError(Object source, String page, Exception e)` A page could not be saved/serialized to a file.
`void` `unresolvedIDReference(Object source, String type, String id)` An unresolved ID reference was encountered.
`void` `unresolvedIDReferenceOnPage(Object source, String page, String id)` An unresolved ID reference was encountered on a page.

### Method Detail

#### unresolvedIDReference

    void unresolvedIDReference(Object source,
                               String type,
                               String id)

An unresolved ID reference was encountered.

Parameters:
  `source` - the event source
  `type` - the type of reference
  `id` - the unresolved ID
Event.severity:
  WARN

#### unresolvedIDReferenceOnPage

    void unresolvedIDReferenceOnPage(Object source,
                                     String page,
                                     String id)

An unresolved ID reference was encountered on a page.

Parameters:
  `source` - the event source
  `page` - the page the ID reference was found on
  `id` - the unresolved ID
Event.severity:
  WARN

#### pageLoadError

    void pageLoadError(Object source,
                       String page,
                       Exception e)

A page could not be loaded/deserialized from a file.

Parameters:
  `source` - the event source
  `page` - the page to be loaded
  `e` - the original exception
Event.severity:
  ERROR

#### pageSaveError

    void pageSaveError(Object source,
                       String page,
                       Exception e)

A page could not be saved/serialized to a file.

Parameters:
  `source` - the event source
  `page` - the page to be serialized
  `e` - the original exception
Event.severity:
  ERROR

#### pageRenderingError

    void pageRenderingError(Object source,
                            String page,
                            Exception e)

A page could not be rendered.

Parameters:
  `source` - the event source
  `page` - the page to be serialized
  `e` - the original exception
Event.severity:
  ERROR